diff -urpN --exclude-from=/home/davej/.exclude bk-linus/net/packet/af_packet.c linux-2.5/net/packet/af_packet.c
--- bk-linus/net/packet/af_packet.c	2002-11-21 02:25:21.000000000 +0000
+++ linux-2.5/net/packet/af_packet.c	2002-11-21 18:05:48.000000000 +0000
@@ -1598,7 +1598,7 @@ static int packet_set_ring(struct sock *
 			pg_vec[i] = __get_free_pages(GFP_KERNEL, order);
 			if (!pg_vec[i])
 				goto out_free_pgvec;
-
+			memset((void *)(pg_vec[i]), 0, PAGE_SIZE << order);
 			pend = virt_to_page(pg_vec[i] + (PAGE_SIZE << order) - 1);
 			for (page = virt_to_page(pg_vec[i]); page <= pend; page++)
 				SetPageReserved(page);
